summaryrefslogtreecommitdiff
path: root/round-robin.sh
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2019-12-09 08:53:26 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2019-12-13 09:54:43 +0000
commit63024d9909c2de84389045b2c129db4560c059c4 (patch)
treea64147e66d2a14d6ad925ac484b2c9d17ecec16d /round-robin.sh
parent5fbee305f8d7336eb21ca25581f9e4c168bd8f56 (diff)
round-robin.sh: Create branch in interesting-commits for custom ci_projects
Change-Id: Iff43f09f6c0ca44e93508a7dd2927607d857562c
Diffstat (limited to 'round-robin.sh')
-rw-r--r--round-robin.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/round-robin.sh b/round-robin.sh
index faa3e471..183cc837 100644
--- a/round-robin.sh
+++ b/round-robin.sh
@@ -700,6 +700,13 @@ push_baseline ()
if [ x"${rr[update_baseline]}" = x"rebase" ]; then
return
+ elif [ x"${rr[update_baseline]}" = x"init" ]; then
+ # Create branch in interesting-commits for custom ci_projects. These
+ # are used in bisect jobs.
+ if ! git ls-remote --heads https://git.linaro.org/toolchain/ci/interesting-commits | grep -q ".* refs/heads/${rr[baseline_branch]}"; then
+ clone_baseline_repo interesting-commits empty false
+ git_push interesting-commits baseline linaro-local/ci/${rr[ci_project]}
+ fi
fi
local c